Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Exception Class Reference

CORBA_Exception. More...

`#include <Exception.h>`

Inheritance diagram for CORBA_Exception:

[legend]
List of all members.

## Public Methods
| CORBA_Exception (const CORBA_Exception &src)
| Copy constructor. More...
CORBA_Exception & | operator= (const CORBA_Exception &src)
| Assignment operator. More...
virtual | ~CORBA_Exception (void)
| Destructor. More...
virtual void | _raise (void)=0
const char * | _id (void) const
| Return the repository ID of the Exception. More...
virtual CORBA::TypeCode_ptr | _type (void) const
| Will be overridden in the concrete derived classes. More...
virtual int | _is_a (const char *repository_id) const
| CORBA_Exception (const char *repository_id)
| Constructor from a respository id. More...
void | _tao_print_exception (const char *info, FILE *f=stdout) const
| Print the exception <ex> to output determined by <f>. This function is not CORBA compliant. More...
virtual ACE_CString | _info (void) const=0
| Returns a string containing information about the exception. This function is not CORBA compliant. More...
virtual void | _tao_encode (TAO_OutputCDR &cdr ACE_ENV_ARG_DECL_NOT_USED) const=0
virtual void | _tao_decode (TAO_InputCDR &cdr ACE_ENV_ARG_DECL_NOT_USED)=0
virtual CORBA_Exception * | _tao_duplicate (void) const=0
| Deep copy. More...
## Static Public Methods
CORBA_Exception * | _downcast (CORBA_Exception *x)
void | _tao_any_destructor (void *)
| Used in the non-copying Any insertion operator. More...
## Protected Methods
| CORBA_Exception (void)
## Private Attributes
char * | id_
| Storage of our repository id. More...

## Detailed Description

CORBA_Exception.

CORBA2-specified exception hierarchy. All exceptions have a type (represented by a TypeCode) and a widely scoped type ID (in the TypeCode) that generated by any OMG-IDL compiler and available through the Interface Repositories. Think of it as a "globally scoped" name distinguishing each exception.

## Constructor & Destructor Documentation

CORBA_Exception::CORBA_Exception | ( | const CORBA_Exception & | src | ) |

| Copy constructor.

CORBA_Exception::~CORBA_Exception | ( | void |  | ) | `[virtual]`

| Destructor.

CORBA_Exception::CORBA_Exception | ( | const char * | repository_id | ) |

| Constructor from a respository id.

CORBA_Exception::CORBA_Exception | ( | void |  | ) | `[protected]`

## Member Function Documentation

ACE_INLINE CORBA_Exception * CORBA_Exception::_downcast | ( | CORBA_Exception * | ex | ) | `[static]`

| Reimplemented in CORBA_UserException, CORBA_SystemException, CORBA_TypeCode::Bounds, and CORBA_TypeCode::BadKind.

const char * CORBA_Exception::_id | ( | void |  | ) | const

| Return the repository ID of the Exception.

virtual ACE_CString CORBA_Exception::_info | ( | void |  | ) | const`[pure virtual]`

| Returns a string containing information about the exception. This function is not CORBA compliant. Reimplemented in CORBA_UserException, and CORBA_SystemException.

int CORBA_Exception::_is_a | ( | const char * | interface_id | ) | const`[virtual]`

| Reimplemented in CORBA_UserException, and CORBA_SystemException.

virtual void CORBA_Exception::_raise | ( | void |  | ) | `[pure virtual]`

| Reimplemented in CORBA_TypeCode::Bounds, and CORBA_TypeCode::BadKind.

void CORBA_Exception::_tao_any_destructor | ( | void * | x | ) | `[static]`

| Used in the non-copying Any insertion operator.

virtual void CORBA_Exception::_tao_decode | ( | TAO_InputCDR &cdr | ACE_ENV_ARG_DECL_NOT_USED | ) | `[pure virtual]`

| Reimplemented in CORBA_SystemException, CORBA_TypeCode::Bounds, and CORBA_TypeCode::BadKind.

virtual CORBA_Exception* CORBA_Exception::_tao_duplicate | ( | void |  | ) | const`[pure virtual]`

| Deep copy. The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:
     class SomeException : public // Derives from CORBA_Exception
     {
     public:
       virtual CORBA_Exception *_tao_duplicate (void) const
       {
         return new SomeException (*this);
       }
     };
Reimplemented in CORBA_TypeCode::Bounds, and CORBA_TypeCode::BadKind.

virtual void CORBA_Exception::_tao_encode | ( | TAO_OutputCDR &cdr | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Reimplemented in CORBA_SystemException, CORBA_TypeCode::Bounds, and CORBA_TypeCode::BadKind.

void CORBA_Exception::_tao_print_exception | ( | const char * | user_provided_info,
|  | FILE * | f = stdout
| ) | const

| Print the exception <ex> to output determined by <f>. This function is not CORBA compliant.

CORBA::TypeCode_ptr CORBA_Exception::_type | ( | void |  | ) | const`[virtual]`

| Will be overridden in the concrete derived classes.

CORBA_Exception & CORBA_Exception::operator= | ( | const CORBA_Exception & | src | ) |

| Assignment operator.

## Member Data Documentation

char* CORBA_Exception::id_`[private]`

| Storage of our repository id.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp
- Exception.i